#include <bits/stdc++.h>
#define fastIO ios_base::sync_with_stdio(0); cin.tie(0);
#define forn(i,a,b) for (int i = (a); i < (b); i++)
#define ford(i,a,b) for(int i = (b) - 1; i >= (a); i--)
#define all(x) (x).begin(), (x).end()
#define fi first
#define se second
#define szof(x) ((int)(x).size())
#define rsz resize
#define lb lower_bound
#define up upper_bound
#define INF (int)1e9
#define INFL (long long)1e18
#define re return
#define pb push_back
#define mp make_pair

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int,int> PII;
typedef vector <int> VI;
typedef vector <vector <long long> > VVLL;
typedef vector <vector <int> > VVI;

const double eps = 1e-7;

bool eq(double a, double b) {
    return abs(a-b) < eps;
}

struct Point{
    ld x,y;
    Point (ld a = 0, ld b = 0) {
        x = a;
        y = b;
    }
};

struct Vector{
    ld x,y;
    ld dot_product(Vector A) {
        return x*A.x + y*A.y;
    }
    ld cross_product(Vector A) {
        return x*A.y - y*A.x;
    }
    Vector (ld a = 0, ld b = 0) {
        x = a;
        y = b;
    }
    Vector (Point A, Point B) {
        x = B.x - A.x;
        y = B.y - A.y;
    }
};

struct Line{
    ld a,b,c;
    Line(Point A, Point B) {
        a = A.y - B.y;
        b = B.x - A.x;
        c = -a*A.x - b*A.y;
    }
};

pair <ld, ld> intersection(const Line & F, const Line & S) {
    if (eq(F.a*S.b - S.a*F.b, 0)) {
        return {-1.00,-1.00};
    } else {
        ld x = -(F.c*S.b - S.c * F.b)/(F.a*S.b - S.a*F.b);
        ld y = -(F.a*S.c - S.a * F.c)/(F.a*S.b - S.a*F.b);
        return {x,y};
    }
}

istream & operator >> (istream & in, Point & A) {
    in >> A.x >> A.y;
    return in;
}

bool tochka_otrezky(Point P, Point A, Point B) {
    Vector AP(A,P), AB(A,B), BA(B,A), BP(B,P);
    return eq(AP.cross_product(AB),0) && AB.dot_product(AP) + eps >= 0 && BA.dot_product(BP) + eps >= 0;
}

bool tochka_lychy(Point P, Point A, Point B)  {
    Vector AP(A,P), AB(A,B);
    return eq(AP.cross_product(AB), 0) && AB.dot_product(AP) + eps>= 0;
}

void solve() {
    Point A1, A2, B1, B2;
    cin >> A1 >> A2 >> B1 >> B2;
    Vector K;
    cin >> K.x >> K.y;
    Point C1, C2;
    C1.x = K.x + A1.x;
    C1.y = K.y + A1.y;
    C2.x = K.x + A2.x;
    C2.y = K.y + A2.y;
    Line n1(A1, C1);
    Line n2(A2, C2);
    Line B(B1, B2);
    pair <ld, ld> z = intersection(B, n1);
    pair <ld, ld> z2 = intersection(B, n2);
    if (eq(z.fi, -1)) {
        cout << "No\n";
        re;
    }
    Point O1(z.fi, z.se);
    Point O2(z2.fi, z2.se);
    if (tochka_otrezky(O1, B1, B2) && tochka_lychy(O1, A1, C1)) {
        cout << "Yes\n";
        re;
    }
    if (tochka_otrezky(O2, B1, B2) && tochka_lychy(O2, A2, C2)) {
        cout << "Yes\n";
        re;
    }
    Point D1, D2;
    D1.x = B1.x - K.x;
    D1.y = B1.y - K.y;
    D2.x = B2.x - K.x;
    D2.y = B2.y - K.y;
    Line p1(B1,D1), p2(B2, D2);
    Line A(A1, A2);
    pair <ld, ld> v = intersection(A, p1);
    pair <ld, ld> v2 = intersection(A, p2);
    if (eq(v.fi, -1)) {
        cout << "No\n";
        re;
    }
    Point M1(v.fi, v.se);
    Point M2(v2.fi, v2.se);
    if (tochka_otrezky(M1, A1, A2) && tochka_lychy(M1, B1, D1)) {
        cout << "Yes\n";
        re;
    }
    if (tochka_otrezky(M2, A1, A2) && tochka_lychy(M2, B2, D2)) {
        cout << "Yes\n";
        re;
    }
    cout << "No\n";
}

int main() {
    int n;
    cin >> n;
    forn(i, 0, n) {
        solve();
    }
	return 0;
}
