#include <iostream>
#include <vector>
#include <set>
#include <utility>

using namespace std;

struct point {
	short x, y;
};

bool operator < (point left, point right) {
	if (left.x < right.x) return true;
	if (left.x == right.x) {
		if (left.y < right.y) return true;
		else return false;
	}
	return false;
}

int main() {
	ios_base::sync_with_stdio(0);
	int n, m;
	cin >> m >> n; // y x
	vector<vector<short>> map(n, vector<short>(m));
	map[0][0] = 1;
	map[n - 1][m - 1] = 1;
	int known = 2, must = m + n - 1;
	set<point> ex;
	ex.insert({ 0 ,0 });
	ex.insert({ short(n - 1), short(m - 1) });
	string request;
	while (known != must) {
		request = "";
		auto l = ex.begin();
		while (1) {
			auto start = *l;
			l++;
			if (l == ex.end()) break;
			auto end = *l;
			short dx = end.x - start.x;
			short dy = end.y - start.y;
			short R1 = dx / 2;
			short R2 = dx / 2 + (dx % 2 == 1 ? 1 : 0);
			short D1 = dy;
			short x1 = start.x, y1 = start.y;
			while (R1 != 0) {
				if (map[x1 + 1][y1] == -1) {
					request += 'D';
					D1--;
					y1++;
				}
				else {
					request += 'R';
					R1--;
					x1++;
				}
				map[x1][y1] = -1;
			}

			while (D1 != 0) {
				if (map[x1][y1 + 1] == -1) {
					request += 'R';
					R2--;
					x1++;
				}
				else {
					request += 'D';
					D1--;
					y1++;
				}
				map[x1][y1] = -1;
			}

			while (R2 != 0) {
				request += 'R';
				R2--;
				x1++;
				map[x1][y1] = -1;
			}
		}
		cout << "? " << request << endl;
		int a;
		short x, y;
		cin >> a;
		known = 0;
		for (int i = 0; i < a; i++) {
			cin >> y >> x;
			x--;
			y--;
			ex.insert({ x, y });
			map[x][y] = 1;
			known++;
		}
	}
	cout << "! " << request << endl;
	return 0;
}