#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <cstring>
#include <string>
#include <cmath>
#include <cassert>
#include <ctime>
#include <algorithm>
#include <sstream>
#include <list>
#include <queue>
#include <deque>
#include <stack>
#include <cstdlib>
#include <cstdio>
#include <iterator>
#include <functional>
#include <bitset>

#ifdef LOCAL
#define eprintf(...) fprintf(stderr,__VA_ARGS__)
clock_t __my_start_clock = clock();
#else
#define eprintf(...)
#endif

#define TIMESTAMP(x) eprintf("["#x"] Time : %.3lf s.\n", (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)
#define TIMESTAMPf(x,...) eprintf("[" x "] Time : %.3lf s.\n", __VA_ARGS__, (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)

#define db(x) cerr << #x << " = " << x << endl
#define db2(x, y) cerr << "(" << #x << ", " << #y << ") = (" << x << ", " << y << ")\n";
#define db3(x, y, z) cerr << "(" << #x << ", " << #y << ", " << #z << ") = (" << x << ", " << y << ", " << z << ")\n"
#define dbv(a) cerr << #a << " = "; for (auto xxxx: a) cerr << xxxx << " "; cerr << endl


using namespace std;

#ifdef LOCAL
static struct __timestamper {
  string what;
  __timestamper(const char* what) : what(what){};
  __timestamper(const string& what) : what(what){};
  ~__timestamper(){
    TIMESTAMPf("%s", what.data());
	}
} __TIMESTAMPER("end");
#else 
struct __timestamper {};
#endif

typedef long long ll;
typedef long double ld;

int main() {
#ifdef LOCAL
  freopen("b.in", "r", stdin);
  freopen("b.out", "w", stdout);
#endif

  int t;
  scanf("%d",&t);
  while (t-->0) {
    ll ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
    scanf("%lld%lld%lld%lld%lld%lld%lld%lld%lld%lld", &ax1, &ay1, &ax2, &ay2, &bx1, &by1, &bx2, &by2, &vx, &vy);
    auto conv = [&](ll &x, ll &y) {
      ll tx = x * vx + y * vy;
      ll ty = x * vy - y * vx;
      x = tx;
      y = ty;
    };

    conv(ax1, ay1);
    conv(ax2, ay2);
    conv(bx1, by1);
    conv(bx2, by2);

    auto check = [](ll x1, ll y1, ll x2, ll y2, ll x, ll y) {
      if (y1 > y2 || (y1 == y2 && x1 > x2)) {
        swap(x1, x2);
        swap(y1, y2);
      }
      if (!(y1 <= y && y <= y2)) {
        return false;
      }
      ll dx1 = x2 - x1;
      ll dy1 = y2 - y1;
      ll dx2 = x - x1;
      ll dy2 = y - y1;
      ld temp = ld(dx1) * dy2 - ld(dx2) * dy1;
      if (temp > 2e18) {
        return true;
      }
      if (temp < -2e18) {
        return false;
      }
      ll res = dx1 * dy2 - dx2 * dy1;
      if (res == 0) {
        return x <= x1;
      }
      return res > 0;
    };

    bool ok = false;
    ok = ok || check(bx1, by1, bx2, by2, ax1, ay1);
    ok = ok || check(bx1, by1, bx2, by2, ax2, ay2);
    ok = ok || check(-ax1, ay1, -ax2, ay2, -bx1, by1);
    ok = ok || check(-ax1, ay1, -ax2, ay2, -bx2, by2);

    if (ok) {
      printf("YES\n");
    } else {
      printf("NO\n");
    }
  }

  return 0;
}
