#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <cstring>
#include <string>
#include <cmath>
#include <cassert>
#include <ctime>
#include <algorithm>
#include <sstream>
#include <list>
#include <queue>
#include <deque>
#include <stack>
#include <cstdlib>
#include <cstdio>
#include <iterator>
#include <functional>
#include <bitset>

#ifdef LOCAL
#define eprintf(...) fprintf(stderr,__VA_ARGS__)
clock_t __my_start_clock = clock();
#else
#define eprintf(...)
#endif

#define TIMESTAMP(x) eprintf("["#x"] Time : %.3lf s.\n", (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)
#define TIMESTAMPf(x,...) eprintf("[" x "] Time : %.3lf s.\n", __VA_ARGS__, (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)

#define db(x) cerr << #x << " = " << x << endl
#define db2(x, y) cerr << "(" << #x << ", " << #y << ") = (" << x << ", " << y << ")\n";
#define db3(x, y, z) cerr << "(" << #x << ", " << #y << ", " << #z << ") = (" << x << ", " << y << ", " << z << ")\n"
#define dbv(a) cerr << #a << " = "; for (auto xxxx: a) cerr << xxxx << " "; cerr << endl


using namespace std;

#ifdef LOCAL
static struct __timestamper {
  string what;
  __timestamper(const char* what) : what(what){};
  __timestamper(const string& what) : what(what){};
  ~__timestamper(){
    TIMESTAMPf("%s", what.data());
	}
} __TIMESTAMPER("end");
#else 
struct __timestamper {};
#endif

typedef long long ll;
typedef long double ld;

const int BASE = 1000000000;

struct bigint {
  vector<int> v;

  int size() const {
    return v.size();
  }

  int operator[](int x) const {
    if (x >= (int)v.size()) return 0;
    return v[x];
  }
};

bigint operator+(const bigint& a, const bigint& b) {
  bigint res;
  int c = 0;
  for (int i = 0; i < a.size() || i < b.size() || c; i++) {
    c += a[i] + b[i];
    res.v.push_back(c % BASE);
    c /= BASE;
  }
  return res;
}

bigint operator*(const bigint& a, int b) {
  bigint res;
  ll c = 0;
  for (int i = 0; i < a.size()  || c; i++) {
    c += a[i] * 1LL * b;
    res.v.push_back(c % BASE);
    c /= BASE;
  }
  return res;
}

bool operator<(const bigint& a, const bigint& b) {
  for (int i = max(a.size(), b.size()) - 1; i >= 0; i--) {
    if (a[i] != b[i]) {
      return a[i] < b[i];
    }
  }
  return false;
}


ll count(ll m) {
  if (m <= 2) return 0;
  return m * m * m * (m - 2) - (m - 1) * (m - 1) * (m - 1) * (m - 3);
}

ll count(ll m, ll a) {
  if (m <= 2) return 0;
  if (a == m) {
    return m * m * (m - 2);
  }
  return m * m * (m - 2) - (m - 1) * (m - 1) * (m - 3);
}

ll count(ll m, ll a, ll b) {
  if (m <= 2) return 0;
  if (a == m || b == m) {
    return m * (m - 2);
  }
  return m * (m - 2) - (m - 1) * (m - 3);
}

ll count(ll m, ll a, ll b, ll c) {
  if (m <= 2) return 0;
  if (a == m || b == m || c == m) {
    return (m - 2);
  }
  return 1;
}

ll count(ll m, ll a, ll b, ll c, ll d) {
  return m >= 3 && d >= 3 && (a == m || b == m || c == m || d == m);
}




int main() {
#ifdef LOCAL
  freopen("c.in", "r", stdin);
  freopen("c.out", "w", stdout);
#endif

  ll l, r;
  while(scanf("%lld %lld", &l, &r) == 2) {
    l--;
    r -= l;
    ll m = 1;

    while (l >= count(m)) {
      l -= count(m);
      m++;
    }
    ll a = 1;
    while (l >= count(m, a)) {
      l -= count(m, a);
      a++;
      assert(a <= m);
    }
    ll b = 1;
    while (l >= count(m, a, b)) {
      l -= count(m, a, b);
      b++;
      assert(b <= m);
    }
    ll c = 1;
    while (l >= count(m, a, b, c)) {
      l -= count(m, a, b, c);
      c++;
      assert(c <= m);
    }
    ll d = 1;
    while (l >= count(m, a, b, c, d)) {
      l -= count(m, a, b, c, d);
      d++;
      assert(d <= m);
    }

    assert(l == 0);
    r -= l;

    auto next = [&]() {
      if (d != m) {
        d++;
      } else if (c != m) {
        c++;
        if (a != m && b != m && c != m) {
          d = m;
        } else {
          d = 3;
        }
      } else if (b != m) {
        b++;
        c = 1;
        if (a != m && b != m) {
          d = m;
        } else {
          d = 3;
        }
      } else if (a != m) {
        a++;
        b = c = 1;
        if (a != m) {
          d = m;
        } else {
          d = 3;
        }
      } else {
        m++;
        a = b = c = 1;
        d = m;
      }
    };

    vector<vector<bigint>> v(1010, vector<bigint>(1010));

    function<bigint(int, int)> p = [&](int x, int y) {
      if (y % 10 != 0) {
        return p(x, y - 1) * x;
      }
      if (v[x][y].size()) return v[x][y];
      if (y == 0) {
        v[x][y].v.push_back(1);
        return v[x][y];
      }
      v[x][y] = p(x, y - 1) * x;
      return v[x][y];
    };

    for (int i = 0; i < r; i++) {
      char s = (p(a, d) + p(b, d) < p(c, d)) ? '<' : '>';
      printf("%lld^%lld+%lld^%lld%c%lld^%lld\n", a, d, b, d, s, c, d);
      next();
    }
#ifdef LOCAL
    printf("======\n");
#endif
  }


  return 0;
}
