// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

vector<vector<int>> solve_up_down(vector<vector<int>> const& field) {
	int n = szof(field);
	int m = szof(field[0]);
	vector<vector<int>> dp(m, vector<int>(n));
	vector<vector<int>> from(m, vector<int>(n));
	for (int i = 0; i < m; ++i) {
		int cnt = 0;
		for (int j = 0; j < n; ++j) {
			cnt += field[j][i] == 1;
		}
		for (int j = 0; j < n; ++j) {
			cnt -= field[j][i] == 1;
			int val = 0;
			if (i) {
				val = INF;
				for (int prev = max(0, j - 1); prev <= min(n - 1, j + 1); ++prev) {
					if (val > dp[i - 1][prev]) {
						val = dp[i - 1][prev];
						from[i][j] = prev;
					}
				}
			}
			dp[i][j] = val + cnt;
			cnt += field[j][i] == -1;
		}
	}
	vector<vector<int>> ret(n, vector<int>(m));
	int pos = 0;
	for (int i = 0; i < n; ++i) {
		if (dp[m - 1][pos] > dp[m - 1][i]) {
			pos = i;
		}
	}
	for (int i = m - 1; i >= 0; --i) {
		for (int j = 0; j < n; ++j) {
			if (j < pos || (j == pos && (field[j][i] == 1 || (field[j][i] == 0 && rnd(0, 1))))) {
				ret[j][i] = 1;
			} else {
				ret[j][i] = -1;
			}
		}
		pos = from[i][pos];
	}
	return ret;
}

void solve() {
	int n, m;
	cin >> n >> m;
	vector<vector<char>> field(n, vector<char>(m));
	for (int i = 0; i < n; ++i) {
		string s;
		cin >> s;
		for (int j = 0; j < m; ++j) {
			field[i][j] = s[j];
		}
	}

	vector<vector<int>> up_down(n, vector<int>(m));
	vector<vector<int>> left_right(m, vector<int>(n));
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			up_down[i][j] = field[i][j] == 'U' ? 1 : (field[i][j] == 'D' ? -1 : 0);
			left_right[j][i] = field[i][j] == 'L' ? 1 : (field[i][j] == 'R' ? -1 : 0);
		}
	}

	auto res_up_down = solve_up_down(up_down);
	auto res_left_right = solve_up_down(left_right);
	vector<vector<char>> ans(n, vector<char>(m, '.'));
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			if (up_down[i][j]) {
				if (res_up_down[i][j] == up_down[i][j]) {
					ans[i][j] = res_up_down[i][j] == 1 ? 'U' : 'D';
				} else {
					ans[i][j] = res_left_right[j][i] == 1 ? 'L' : 'R';
				}
			} else if (left_right[j][i]) {
				if (res_left_right[j][i] == left_right[j][i]) {
					ans[i][j] = res_left_right[j][i] == 1 ? 'L' : 'R';
				} else {
					ans[i][j] = res_up_down[i][j] == 1 ? 'U' : 'D';
				}
			}
		}
	}

	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			cout << ans[i][j];
		}
		cout << "\n";
	}
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
