#include <iostream>
#define int long long

using namespace std;

struct point{
    int x, y;
    point(int x1 = 0, int y1 = 0) {
        x = x1;
        y = y1;
    }
};

point operator + (point A, point B) {
    return point(A.x + B.x, A.y + B.y);
}

point operator - (point A, point B) {
    return point(A.x - B.x, A.y - B.y);
}

int cross_produst(point A, point B) {
    return A.x * B.y - A.y * B.x;
}

int dot_product(point A, point B) {
    return A.x * B.x + A.y * B.y;
}

bool per_otr(point A, point B, point C, point D) {
    if (cross_produst(B - A, C - A) == 0 && cross_produst(B - A, D - A) == 0 && cross_produst(D - C, A - C) == 0 && cross_produst(D - C, B - C) == 0) {
        return dot_product(C - A, D - A) <= 0 || dot_product(C - B, D - B) <= 0 || dot_product(A - C, B - C) <= 0 || dot_product(A - D, B - D) <= 0;
    }
    return (cross_produst(B - A, C - A) * cross_produst(B - A, D - A) <= 0) &&
           (cross_produst(D - C, A - C) * cross_produst(D - C, B - C) <= 0);
}

bool point_in_an(point A, point O, point B, point C) {
    return (cross_produst(B - O, C - O) >= 0 && cross_produst(C - O, A - O) >= 0 && cross_produst(B - O, A - O) >= 0) ||
           (cross_produst(B - O, C - O) <= 0 && cross_produst(C - O, A - O) <= 0 && cross_produst(B - O, A - O) <= 0);
}
/*
bool per_otr(point A, point B, point C, point D) {
    bool l1 = point_in_an(C, B, D, A);
    bool l2 = point_in_an(A, C, B, D);
    bool l3 = point_in_an(C, A, D, B);
    bool l4 = point_in_an(A, D, B, C);
    return l1 && l2 && l3 && l4;
}
*/
bool point_in_tr(point A, point B, point C, point D) {
    return point_in_an(B, A, C, D) && point_in_an(A, B, C, D);
}

signed main()
{
    int n;
    cin >> n;
    for (int i = 0; i < n; ++i) {
        point A, B, C, D, E, F;
        cin >> A.x >> A.y >> B.x >> B.y;
        cin >> E.x >> E.y >> F.x >> F.y;
        point v;
        cin >> v.x >> v.y;
        C = A + v;
        D = B + v;
        bool ok = per_otr(A, B, E, F);
        ok = ok || per_otr(B, D, E, F);
        ok = ok || per_otr(D, C, E, F); ///
        ok = ok || per_otr(C, A, E, F);
        ok = ok || (point_in_tr(A, B, C, E) && point_in_tr(D, B, C, E));
        if (ok) {
            cout << "Yes\n";
        }
        else {
            cout << "No\n";
        }

    }
    return 0;
}
/*
100
2 2 2 3
3 0 3 -1
1 0


*/
