#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

ll count(int n)
{
    if (n == 0)
        return 1;

    vector<vector<ll>> dp(n + 1, vector<ll>(n, 0));
    dp[n][0] = 1;

    for (int i = n - 1; i >= 0; i--)
    {
        for (int j = 0; j < n; j++)
        {
            if (j > 0)
                dp[i][j] += dp[i + 1][j - 1];
            if (j < n - 1)
                dp[i][j] += dp[i + 1][j + 1];
        }
    }

    return dp[0][0];
}

string find_kth(int n, ll k)
{
    vector<vector<ll>> dp(n + 1, vector<ll>(2 * n, 0));
    dp[n][n] = 1;

    for (int i = n - 1; i >= 0; i--)
    {
        for (int j = 0; j < 2 * n; j++)
        {
            if (j > 0)
                dp[i][j] += dp[i + 1][j - 1];
            if (j < 2 * n - 1)
                dp[i][j] += dp[i + 1][j + 1];
        }
    }

    ll bal = 0;
    string ans;
    for (int i = 0; i < n; i++)
    {
        if (k <= dp[i + 1][bal + n - 1])
        {
            ans += "{";
            bal--;
        }
        else
        {
            ans += "}";
            bal++;
            k -= dp[i + 1][bal + n - 1];
        }
    }

    return ans;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    string s;
    ll k;
    cin >> s >> k;
    int n = s.size();

    vector<int> spaces;
    for (int i = 0; i < n - 1; i++)
    {
        if (s[i] == '-' && s[i + 1] == '-')
            spaces.push_back(i + 1);
    }
    int sp = spaces.size();
    sort(spaces.begin(), spaces.end());

    if (sp % 2 == 0)
    {
        if (k > count(sp))
        {
            cout << "Overflow" << endl;
            exit(0);
        }

        auto fnd = find_kth(n, k);
        int csp = 0;
        for (int i = 0; i < n; i++)
        {
            while (csp < spaces.size() && i == spaces[csp])
            {
                cout << fnd[csp];
                csp++;
            }
            cout << s[i];
        }
        if (csp < spaces.size() && n == spaces[csp])
            cout << fnd[csp];
        cout << endl;
    }
    else
    {
        for (int i = n; i >= 0; i--)
        {
            ll x = count(sp + 1);
            if (k <= x)
            {
                spaces.push_back(i);
                sort(spaces.begin(), spaces.end());
                auto fnd = find_kth(sp + 1, k);
                int csp = 0;
                for (int j = 0; j < n; j++)
                {
                    while (csp < spaces.size() && j == spaces[csp])
                    {
                        cout << fnd[csp];
                        csp++;
                    }
                    cout << s[j];
                }
                while (csp < spaces.size() && n == spaces[csp])
                    cout << fnd[csp];
                cout << endl;

                exit(0);
            }
            else
            {
                k -= x;
            }
        }
    }

    cout << "Overflow" << endl;

    return 0;
}