#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

const int MAXN = 505;

int ans[MAXN][MAXN];

void precalc(){
    for (int i = 0; i < MAXN; i++){
        for (int j = 0; j < MAXN; j++){
            ans[i][j] = 0;
        }
    }
}

vector<vector<int> > G[MAXN];

int root(int u, vector<int> &comp){
    int x = u;
    while (comp[x] != x){
        x = comp[x];
    }
    int nex;
    while (u != x){
        nex = comp[u];
        comp[u] = x;
        u = nex;
    }
    return x;
}

void merge(int u, int v, vector<int> &comp, vector<int> &h){
    int u1 = root(u, comp);
    int v1 = root(v, comp);
    if (u1 == v1)
        return;
    if (h[u1] < h[v1]){
        comp[u1] = v1;
    }
    if (h[u1] > h[v1]){
        comp[v1] = u1;
    }
    if (h[u1] == h[v1]){
        comp[u1] = v1;
        h[v1]++;
    }
}

int now, A;

void dfs(int u, int par, vector<int> &comp, vector<int> &h){
    //cout << now << " " << u << endl;
    for (int v : G[now][u]){
        if (v == par)
            continue;
        if (u != A && v != A){
            merge(u, v, comp, h);
        }
        dfs(v, u, comp, h);
    }
}

int main() {
    precalc();
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, k;
    cin >> n >> k;
    for (int j = 0; j < k; j++){
        G[j].resize(n);
        for (int i = 0; i < n - 1; i++){
            int u, v;
            cin >> u >> v;
            u--; v--;
            G[j][u].push_back(v);
            G[j][v].push_back(u);
        }
    }
    vector<int> comp(n);
    vector<int> h(n);
    for (int i = 0; i < n; i++){
        for (int j = 0; j < n; j++){
            comp[j] = j;
            h[j] = 1;
        }
        A = i;
        for (int j = 0; j < k; j++){
            now = j;
            dfs(0, -1, comp, h);
        }
        for (int u = 0; u < n; u++){
            for (int v = 0; v < n; v++){
                int u1 = root(u, comp);
                int v1 = root(v, comp);
                if (u1 != v1){
                    //cout << i << ": " << u << " " << v << endl;
                    ans[u][v] += 1;
                }
            }
        }
    }
    for (int i = 0; i < n; i++){
        for (int j = 0; j < n; j++){
            if (i == j)
                cout << 1 << " ";
            else
                cout << ans[i][j] << " ";
        }
        cout << "\n";
    }
    return 0;
}