#include <iostream>
#include <vector>
#include <algorithm>
#include <set>

using namespace std;

bool matrix[1010][1010];

struct Cage
{
	int l, c;
	Cage() {}
	Cage(int l, int c) : l(l), c(c) {}
	bool operator < (const Cage& cg) const
	{
		if (l != cg.l)
			return l < cg.l;
		return c < cg.c;
	}
	bool operator == (Cage cg)
	{
		return l == cg.l && c == cg.c;
	}
};
int maxC[1010], minC[1010];

int main()
{
	matrix[1][1] = 1;
	int n, m;
	cin >> n >> m;
	if (n == 1)
	{
		cout << "! ";
		for (int i = 1; i < m; i++)
			cout << 'R';
		return 0;
	}
	if (m == 1)
	{
		cout << "! ";
		for (int i = 1; i < n; i++)
			cout << 'D';
		return 0;
	}
	if (n == 2)
	{
		cout << "? ";
		for (int i = 1; i < m; i++)
			cout << "R";
		cout << 'D';
		cout << endl;
		int k;
		cin >> k;
		if (k > 2)
		{
			cout << "! ";
			for (int i = 1; i < m; i++)
				cout << "R";
			cout << 'D';
		}
		else
		{
			cout << "! ";
			cout << "D";
			for (int i = 1; i < m; i++)
				cout << "R";
		}
		return 0;
	}
	if (m == 2)
	{
		cout << "? ";
		for (int i = 1; i < n; i++)
			cout << "D";
		cout << 'R';
		cout << endl;
		int k;
		cin >> k;
		if (k > 2)
		{
			cout << "! ";
			for (int i = 1; i < n; i++)
				cout << "D";
			cout << 'R';
		}
		else
		{
			cout << "! ";
			cout << "R";
			for (int i = 1; i < n; i++)
				cout << "D";
		}
		return 0;
	}
	matrix[n][m] = 1;
	set<Cage> known;
	known.insert({ 1, 1 });
	known.insert({ n, m });
	bool mark = 1;
	while (mark)
	{
		vector<char> request;
		auto prev = *known.begin();
		for (auto now : known)
		{
			if (now == prev)
				continue;
			if (now.l == prev.l)
			{
				for (int c = prev.c + 1; c <= now.c; c++)
					request.push_back('R');
				prev = now;
				continue;
			}
			if (now.c == prev.c)
			{
				for (int l = prev.l + 1; l <= now.l; l++)
					request.push_back('D');
				prev = now;
				continue;
			}
			int mL = (now.l + prev.l) / 2;
			for (int l = prev.l + 1; l <= mL; l++)
				request.push_back('D');
			for (int c = prev.c + 1; c <= now.c; c++)
				request.push_back('R');
			for (int l = mL + 1; l <= now.l; l++)
				request.push_back('D');
			prev = now;
		}
		if (mark == 0)
			continue;
		cout << "? ";
		for (auto r : request)
			cout << r;
		cout << endl;
		int k;
		cin >> k;
		for (int i = 1; i <= n; i++)
			minC[i] = 1e9, maxC[i] = -1;
		for (int i = 1; i <= k; i++)
		{
			int l, c;
			cin >> l >> c;
			minC[l] = min(minC[l], c);
			maxC[l] = max(maxC[l], c);
			known.insert({ l, c });
			matrix[l][c] = 1;
		}
		for (int i = 2; i < n; i++)
			if (maxC[i] != -1)
			{
				matrix[i - 1][minC[i]] = 1;
				matrix[i + 1][maxC[i]] = 1;
			}
		prev = *known.begin();
		mark = 0;
		for (auto e : known)
			mark |= (e.l - prev.l > 1), prev = e;
	}
	//OUT
	cout << "! ";
	auto prev = *known.begin();
	for (int i = 1; i <= n; i++)
	{
		int prev = -1;
		for (int l = 1; l <= m; l++)
		{
			if (matrix[i][l] == 1 && prev != -1)
			{
				for (int p = prev + 1; p <= l; p++)
					cout << 'R';
			}
			if (matrix[i][l] == 1)
				prev = l;
		}
		if (i < n)
			cout << 'D';
	}
	cout << endl;
	return 0;
}