#include <bits/stdc++.h>

using namespace std;

#define int long long
#define forn(i, n) for (int i = 0; i < (int)n; ++i)
#define firn(i, n) for (int i = 1; i < (int)n; ++i)
#define all(v) v.begin(), v.end()
typedef long long ll;

const char el = '\n';

int n, k;
vector<int> graph[505][505];
int ans[505][505];
int root[505];
int sz[505];

int Root(int x)
{
    if (x == root[x]) return x;
    root[x] = Root(root[x]);
    return root[x];
}

void Merge(int a, int b)
{
    a = Root(a), b = Root(b);
    if (sz[a] > sz[b]) swap(a, b);
    sz[b] += sz[a];
    root[a] = b;
}

int color[5005];

void dfs(int t, int v)
{
    color[v] = 1;
    for (int i = 0; i < graph[t][v].size(); i++)
    {
        int u = graph[t][v][i];
        if (color[u] == 1) continue;
        dfs(t, u);
        Merge(v, u);
    }
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> k;
    for (int i = 0; i < k; i++)
    {
        for (int j = 0; j < n - 1; j++)
        {
            int v, u;
            cin >> v >> u;
            graph[i][v].push_back(u);
            graph[i][u].push_back(v);
        }
    }

    for (int i = 1; i <= n; i++)
    {
        for (int j = 1; j <= n; j++) root[j] = j, sz[j] = 1;
        for (int t = 0; t < k; t++)
        {
            for (int j = 1; j <= n; j++) color[j] = 0;
            color[i] = 1;
            for (int j = 0; j < graph[t][i].size(); j++)
            {
                int u = graph[t][i][j];
                dfs(t, u);
            }
        }
        for (int a = 1; a <= n; a++)
            for (int b = 1; b <= n; b++)
                if (Root(a) != Root(b)) ans[a][b]++;
    }

    for (int i = 1; i <= n; i++)
    {
        for (int j = 1; j <= n; j++)
        {
            if (i == j) cout << 1 << " ";
            else cout << ans[i][j] << " ";
        }
        cout << "\n";
    }
    return 0;
}

