#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <iomanip>
#include <set>
#include <algorithm>
#include  <map>
#include  <numeric>
#include <random>

#pragma warning(disable : 4996)
using namespace std;

#define all(a) (a).begin(), (a).end()
#define nl '\n'

typedef long long ll;

const ll LINF = numeric_limits<ll>::max();
const int INF = numeric_limits<int>::max();

inline void IO() {
#ifdef _DIVAN
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
}

typedef double T;

struct Vector {
	T x, y;
	Vector(T a = 0, T b = 0) : x(a), y(b) {};
	Vector(const Vector& a, const Vector& b) : x(b.x - a.x), y(b.y - a.y) {};
	T cr_prod(const Vector& a) const {
		return x * a.y - y * a.x;
	}
};

typedef Vector Point;

bool check(Point c, Vector v, Point a, Point b) {
	//Point d;
	//d.x = a.x + v.x;
	//d.y = a.y + v.y;

	Vector cd = v;
	Vector ca(c, a);
	Vector cb(c, b);

	return cd.cr_prod(ca) * cd.cr_prod(cb) <= 0
		&& ca.cr_prod(cb) * ca.cr_prod(cd) >= 0
		&& cb.cr_prod(ca) * cb.cr_prod(cd) >= 0;

}

inline void solve() {
	pair <Vector, Vector> a, b;
	Vector v, rv;
	cin >> a.first.x >> a.first.y >> a.second.x >> a.second.y;
	cin >> b.first.x >> b.first.y >> b.second.x >> b.second.y;
	cin >> v.x >> v.y;
	rv.x = -v.x;
	rv.y = -v.y;
	if (check(a.second, v, b.first, b.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(a.first, v, b.first, b.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(b.first, rv, a.first, a.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(b.second, rv, a.first, a.second)) {
		cout << "Yes\n";
		return;
	}
	cout << "No\n";
}

int main() {
	IO();
	int t;
	cin >> t;
	while (t--) {
		solve();
	}
	return 0;
}