#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef vector<int> vi;
typedef vector<char> vc;

const int INF = 1000 * 1000 * 1000 + 10;
const ll INFLL = 1000LL * 1000 * 1000 * 1000 * 1000 * 1000 + 10;

struct Pnt {
    ll x, y;

    explicit Pnt(ll x_ = 0, ll y_ = 0) {
        x = x_, y = y_;
    }

    Pnt operator+(const Pnt &b) {
        return Pnt(x + b.x, y + b.y);
    }

    Pnt operator-(const Pnt &b) {
        return Pnt(x - b.x, y - b.y);
    }

    Pnt operator*(ll b) {
        return Pnt(x * b, y * b);
    }

    static ll dot(const Pnt &a, const Pnt &b) {
        return a.x * b.x + a.y * b.y;
    }

    static ll cross(const Pnt &a, const Pnt &b) {
        return a.x * b.y - a.y * b.x;
    }
};

bool check(Pnt a1, Pnt a2, Pnt b, Pnt v) {
    ll f1 = Pnt::cross(v, b - a1);
    ll f2 = Pnt::cross(v, b - a2);
    ll f3 = Pnt::dot(b - a1, v);
    ll f4 = Pnt::dot(b - a2, v);

    return f1 * f2 <= 0 && f3 >= 0 && f4 >= 0;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

#ifdef LOCAL
    freopen("input.txt", "r", stdin);
#endif

    int n;
    cin >> n;

    for (int i = 0; i < n; ++i) {
        int ax1, ay1, ax2, ay2;
        int bx1, by1, bx2, by2;
        int vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2;
        cin >> bx1 >> by1 >> bx2 >> by2;
        cin >> vx >> vy;

        Pnt a1(ax1, ay1), a2(ax2, ay2);
        Pnt b1(bx1, by1), b2(bx2, by2);
        Pnt v(vx, vy);

        if (check(a1, a2, b1, v) || check(a1, a2, b2, v) ||
            check(b1, b2, a1, v * -1) || check(b1, b2, a2, v * -1))
            cout << "Yes\n";
        else
            cout << "No\n";
    }
}