#include <bits/stdc++.h>

using namespace std;
#define double long double
#define fastio ios_base::sync_with_stdio(0);cin.tie(0);

struct pnt {
    double x, y;
    pnt() {x = y = 0;}
    pnt(double x, double y): x(x), y(y) {}
};


struct vect {
    double vx, vy;
    pnt beg, end;

    vect() {beg = end = pnt(); vx = vy = 0;}

    vect(double vx, double vy): vx(vx), vy(vy) {
        beg = pnt();
        end = pnt(vx, vy);
    }

    vect(pnt beg, pnt end): beg(beg), end(end) {
        vx = end.x - beg.x;
        vy = end.y - beg.y;
    }
};


double operator*(vect a, vect b) {return a.vx * b.vx + a.vy * b.vy; }

double operator^(vect a, vect b) { return a.vx * b.vy - b.vx * a.vy;}


bool in_angle(vect a, vect b, pnt c) {
    vect cc = vect(a.beg, c);
    return atan2(a * cc, a ^ cc) + atan2(cc * b, cc ^ b) == atan2(a * b, a ^ b);
}

vector<pnt> line1_line2(double a1, double b1, double c1, double a2, double b2, double c2) {
    if ((a1 == a2 && b1 == b2) && c1 != c2) {
        return {};
    }
    if ((a1 == a2 && b1 == b2) && c1 == c2) {
        return {pnt(c1, c2), pnt(c2, c1)};
    }
    if (a1 == 0 && a2 == 0 && c1 != c2) {
        return {};
    }
    if (b1 == 0 && b2 == 0 && c1 != c2) {
        return {};
    }
    if (a1 == 0 && a2 == 0 && c1 == c2) {
        return {pnt(0, c1), pnt(0, c2)};
    }
    if (b1 == 0 && b2 == 0 && c1 == c2) {
        return {pnt(c1, 0), pnt(c2, 0)};
    }
    if (a1 == 0 && b2 == 0) {
        return {pnt(c2, c1)};
    }
    if (a2 == 0 && b1 == 0) {
        return {pnt(c1, c2)};
    }
    
    if (a1 == a2) {
        double y = (c1 - c2) / (b2 - b1);
        double x = (-c1 - (b1 * y)) / a1;
        return {pnt(x, y)};
    }
    if (b1 == b2) {
        double x = (c1 - c2) / (a2 - a1);
        double y = (-c1 - (a1 * x)) / b1;
        return {pnt(x, y)};
    }
    // x = (b2 - b1) / (a1 - a2) * y + (c2 - c1) / (a1 - a2);
    // a1 * x + b1 * y + c1 = 0;
    // ((b2 - b1) / (a1 - a2) * y + (c2 - c1) / (a1 - a2)) * a1 + b1 * y + c1 = 0
    // ((b2 - b1) / (a1 - a2) * a1 + b1) * y = -c1 - (c2 - c1) / (a1 - a2) * a1;
    double y = (-c1 - (c2 - c1) / (a1 - a2) * a1) / ((b2 - b1) / (a1 - a2) * a1 + b1);
    double x = (b2 - b1) / (a1 - a2) * y + (c2 - c1) / (a1 - a2);
    return {pnt(x, y)};
}


signed main() {
    fastio
    int n;
    cin >> n;

    for (int i = 0; i < n; ++i) {
        double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;

        vect v = vect(vx, vy);
        pnt A1 = pnt(ax1, ay1);
        pnt A2 = pnt(ax2, ay2);
        vect A = vect(A1, A2);
        vect AA = vect(A2, A1);
        pnt B1 = pnt(bx1, by1);
        pnt B2 = pnt(bx2, by2);
        pnt A12 = pnt(ax1 + vx, ay1 + vy);
        vect AX = vect(A1, A12);
        pnt A22 = pnt(ax2 + vx, ay2 + vy);
        vect AY = vect(A2, A22);
        double aa = 0;
        double ab = 0;
        double ac = 0;
        double ba = 0;
        double bb = 0;
        double bc = 0;

        if (ax1 == ax2) {
            ab = 0;
            ac = -ax1;
            aa = 1;
        } else if (ay1 == ay2) {
            aa = 0;
            ac = -ay1;
            ab = 1;
        } else {
            aa = (ay2 - ay1) / (ax1 - ax2);
            ab = 1;
            ac = -(aa * ax1 + ay1);
        }


        if (bx1 == bx2) {
            bb = 0;
            bc = -bx1;
            ba = 1;
        } else if (by1 == by2) {
            ba = 0;
            bc = -by1;
            bb = 1;
        } else {
            ba = (by2 - by1) / (bx1 - bx2);
            bb = 1;
            bc = -(ba * bx1 + by1);
        }

        double a1a = 0;
        double a1b = 0;
        double a1c = 0;

        if (A1.x == A12.x) {
            a1b = 0;
            a1c = -A1.x;
            a1a = 1;
        } else if (A1.y == A12.y) {
            a1a = 0;
            a1c = -A1.y;
            a1b = 1;
        } else {
            a1a = (A12.y - A1.y) / (A1.x - A12.x);
            a1b = 1;
            a1c = -(a1a * A1.x + A1.y);
        }

        double a2a = 0;
        double a2b = 0;
        double a2c = 0;


        if (A2.x == A22.x) {
            a2b = 0;
            a2c = -A2.x;
            a2a = 1;
        } else if (A2.y == A22.y) {
            a2a = 0;
            a2c = -A2.y;
            a2b = 1;
        } else {
            a2a = (A22.y - A2.y) / (A2.x - A22.x);
            a2b = 1;
            a2c = -(a2a * A2.x + A2.y);
        }


        vector<pnt> a = line1_line2(aa, ab, ac, ba, bb, bc);
//        if (a.size() > 1) {
//            if (ab != 0 &&
//                ((min(bx1, bx2) <= ax1 && ax1 <= max(bx2, bx1)) || (min(ax2, ax1) <= bx1 && bx1 <= max(ax1, ax2)))) {
//                cout << "Yes\n";
//                continue;
//            }
//            if (aa != 0 &&
//                ((min(by1, by2) <= ay1 && ay1 <= max(by1, by2)) || (min(ay2, ay1) <= by1 && by1 <= max(ay1, ay2)))) {
//                cout << "Yes\n";
//                continue;
//            }
//
//            vector<pnt> b = line1_line2(a1a, a1b, a1c, ba, bb, bc);
//            if (b.size() > 1) {
//                if (vx == 0) {
//                    if ((by1 - ay1) / abs(ay1 - by1) == vy / abs(vy)) {
//                        cout << "Yes\n";
//                    } else if ((by2 - ay1) / abs(ay1 - by2) == vy / abs(vy)) {
//                        cout << "Yes\n";
//                    } else {
//                        cout << "No\n";
//                    }
//                    continue;
//                } else {
//                    if ((bx1 - ax1) / abs(ax1 - bx1) == vx / abs(vx)) {
//                        cout << "Yes\n";
//                    } else if ((bx2 - ax1) / abs(ax1 - bx2) == vx / abs(vx)) {
//                        cout << "Yes\n";
//                    } else {
//                        cout << "No\n";
//                    }
//                    continue;
//                }
//            } else {
//                cout << "No\n";
//                continue;
//            }
//            continue;
//        }

        bool ok = false;

        if (a.size() == 1) {
            pnt C = a[0];
            if (ab != 0 && bb != 0) {
                if (min(ax1, ax2) <= C.x && C.x <= max(ax1, ax2) && min(bx1, bx2) <= C.x && C.x <= max(bx1, bx2))
                    ok = true;
            } else if (bb != 0) {
                if (min(ay1, ay2) <= C.y && C.y <= max(ay1, ay2) && min(bx1, bx2) <= C.x && C.x <= max(bx1, bx2))
                    ok = true;
            } else if (ab != 0) {
                if (min(ax1, ax2) <= C.x && C.x <= max(ax1, ax2) && min(by1, by2) <= C.y && C.y <= max(by1, by2))
                    ok = true;
            } else {
                if (min(ay1, ay2) <= C.y && C.y <= max(ay1, ay2) && min(by1, by2) <= C.y && C.y <= max(by1, by2))
                    ok = true;
            }
        }

        vector<pnt> b = line1_line2(a1a, a1b, a1c, ba, bb, bc);

        if (b.size() >= 2) {
            if (vx == 0) {
                if ((by1 - ay1) / abs(ay1 - by1) == vy / abs(vy)) {
                    cout << "Yes\n";
                } else if ((by2 - ay1) / abs(ay1 - by2) == vy / abs(vy)) {
                    cout << "Yes\n";
                } else {
                    cout << "No\n";
                }
                continue;
            } else {
                if ((bx1 - ax1) / abs(ax1 - bx1) == vx / abs(vx)) {
                    cout << "Yes\n";
                } else if ((bx2 - ax1) / abs(ax1 - bx2) == vx / abs(vx)) {
                    cout << "Yes\n";
                } else {
                    cout << "No\n";
                }
                continue;
            }
        }

        if (b.size() == 1) {
            pnt C = b[0];
            bool one = false;
            bool two = false;
            if (bb != 0) {
                if (min(bx1, bx2) <= C.x && C.x <= max(bx1, bx2)) {
                    one = true;
                }
            } else {
                if (min(by1, by2) <= C.y && C.y <= max(by1, by2)) {
                    one = true;
                }
            }

            if (vx == 0) {
                if ((C.y - ay1) / abs(ay1 - C.y) == vy / abs(vy)) {
                    two = true;
                }
            } else {
                if ((C.x - ax1) / abs(ax1 - C.x) == vx / abs(vx)) {
                    two = true;
                }
            }

            ok = ok || (one && two);
        }


        vector<pnt> c = line1_line2(a2a, a2b, a2c, ba, bb, bc);

        if (c.size() >= 2) {
            if (vx == 0) {
                if ((by1 - ay2) / abs(ay2 - by1) == vy / abs(vy)) {
                    cout << "Yes\n";
                } else if ((by2 - ay2) / abs(ay2 - by2) == vy / abs(vy)) {
                    cout << "Yes\n";
                } else {
                    cout << "No\n";
                }
                continue;
            } else {
                if ((bx1 - ax2) / abs(ax2 - bx1) == vx / abs(vx)) {
                    cout << "Yes\n";
                } else if ((bx2 - ax2) / abs(ax2 - bx2) == vx / abs(vx)) {
                    cout << "Yes\n";
                } else {
                    cout << "No\n";
                }
                continue;
            }
        }

        if (c.size() == 1) {
            pnt C = c[0];
            bool one = false;
            bool two = false;
            if (bb != 0) {
                if (min(bx1, bx2) <= C.x && C.x <= max(bx1, bx2)) {
                    one = true;
                }
            } else {
                if (min(by1, by2) <= C.y && C.y <= max(by1, by2)) {
                    one = true;
                }
            }

            if (vx == 0) {
                if ((C.y - ay2) / abs(ay2 - C.y) == vy / abs(vy)) {
                    two = true;
                }
            } else {
                if ((C.x - ax2) / abs(ax2 - C.x) == vx / abs(vx)) {
                    two = true;
                }
            }

            ok = ok || (one && two);
        }

        pnt B12 = pnt(bx1 + vx, by1 + vy);
        pnt B22 = pnt(bx2 + vx, by1 + vy);

        ok = ok || in_angle(A, AX, B1) || in_angle(A, AX, B2) || in_angle(AA, AY, B1) || in_angle(AA, AY, B2);

        double b1a = 0;
        double b1b = 0;
        double b1c = 0;

        if (B1.x == B12.x) {
            b1b = 0;
            b1c = -B1.x;
            b1a = 1;
        } else if (B1.y == B12.y) {
            b1a = 0;
            b1c = -B1.y;
            b1b = 1;
        } else {
            b1a = (B12.y - B1.y) / (B1.x - B12.x);
            b1b = 1;
            b1c = -(b1a * B1.x + B1.y);
        }

        double b2a = 0;
        double b2b = 0;
        double b2c = 0;


        if (B2.x == B22.x) {
            b2b = 0;
            b2c = -B2.x;
            b2a = 1;
        } else if (B2.y == B22.y) {
            b2a = 0;
            b2c = -B2.y;
            b2b = 1;
        } else {
            b2a = (B22.y - B2.y) / (B2.x - B22.x);
            b2b = 1;
            b2c = -(b2a * B2.x + B2.y);
        }


//        vector<pnt> d = line1_line2(a1a, a1b, a1c, b1a, b1b, b1c);
//        vector<pnt> e = line1_line2(a2a, a2b, a2c, b1a, b1b, b1c);
//
//        if (d.size() == 1 && e.size() == 1) {
//            pnt C1 = d[0];
//            pnt C2 = e[0];
//            bool one = false;
//            bool two = false;
//            bool three = false;
//            if (bb != 0) {
//                if (min(C1.x, C2.x) <= bx1 && bx1 <= max(C1.x, C2.x)) one = true;
//            } else {
//                if (min(C1.y, C2.y) <= by1 && by1 <= max(C1.y, C2.y)) one = true;
//            }
//
//            if (vx == 0) {
//                if ((C2.y - ay2) / abs(ay2 - C2.y) == vy / abs(vy)) {
//                    two = true;
//                }
//            } else {
//                if ((C2.x - ax2) / abs(ax2 - C2.x) == vx / abs(vx)) {
//                    two = true;
//                }
//            }
//
//            if (vx == 0) {
//                if ((C1.y - ay1) / abs(ay1 - C1.y) == vy / abs(vy)) {
//                    three = true;
//                }
//            } else {
//                if ((C1.x - ax1) / abs(ax1 - C1.x) == vx / abs(vx)) {
//                    three = true;
//                }
//            }
//
//            ok = ok || (one && two && three);
//
//        }
//
//
//        vector<pnt> d1 = line1_line2(a1a, a1b, a1c, b2a, b2b, b2c);
//        vector<pnt> e1 = line1_line2(a2a, a2b, a2c, b2a, b2b, b2c);
//
//        if (d1.size() == 1 && e1.size() == 1) {
//            pnt C1 = d1[0];
//            pnt C2 = e1[0];
//            bool one = false;
//            bool two = false;
//            bool three = false;
//            if (bb != 0) {
//                if (min(C1.x, C2.x) <= bx2 && bx2 <= max(C1.x, C2.x)) one = true;
//            } else {
//                if (min(C1.y, C2.y) <= by2 && by2 <= max(C1.y, C2.y)) one = true;
//            }
//
//
//            if (vx == 0) {
//                if ((C2.y - ay2) / abs(ay2 - C2.y) == vy / abs(vy)) {
//                    two = true;
//                }
//            } else {
//                if ((C2.x - ax2) / abs(ax2 - C2.x) == vx / abs(vx)) {
//                    two = true;
//                }
//            }
//
//            if (vx == 0) {
//                if ((C1.y - ay1) / abs(ay1 - C1.y) == vy / abs(vy)) {
//                    three = true;
//                }
//            } else {
//                if ((C1.x - ax1) / abs(ax1 - C1.x) == vx / abs(vx)) {
//                    three = true;
//                }
//            }
//
//            ok = ok || (one && two && three);
//        }


        if (ok) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }
    
}