#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long long Coord;
const long double eps = 1e-12;

struct Vector{
    Coord x , y;

    Vector() {}
    Vector(Coord x , Coord y): x(x) , y(y) {}
};

typedef long double ld;

struct dVector{
    long double x , y;

    dVector() {}
    dVector(ld x , ld y): x(x) , y(y) {}
    dVector(Vector a): x(a.x) , y(a.y) {}
};


Vector operator +(const Vector &A , const Vector &B){
    return Vector(A.x + B.x , A.y + B.y);
}

Vector operator -(const Vector &A , const Vector &B){
    return Vector(A.x - B.x , A.y - B.y);
}

dVector operator -(const dVector &A , const dVector &B){
    return Vector(A.x - B.x , A.y - B.y);
}

istream &operator >>(istream &stream , Vector &a){
    return stream >> a.x >> a.y;
}

Coord DotProduct(Vector A , Vector B){
    return A.x*B.x + A.y*B.y;
}

ld DotProduct(dVector A , dVector B){
    return A.x*B.x + A.y*B.y;
}

Coord CrossProduct(Vector A , Vector B){
    return A.x*B.y - A.y*B.x;
}

ll Dir(Coord X){
    if (X == 0) return 0;
    if (X > 0) return 1;
    else return -1;
}

struct Line{
    Coord a , b , c;

    Line() {}
    Line(Vector A , Vector B): a(A.y - B.y) , b(B.x - A.x) , c(A.x*(B.y - A.y) + A.y*(A.x - B.x)) {}
    Line(dVector A , dVector B): a(A.y - B.y) , b(B.x - A.x) , c(A.x*(B.y - A.y) + A.y*(A.x - B.x)) {}
};

struct dLine{
    ld a , b , c;

    dLine() {}
    dLine(ld a , ld b , ld c): a(a) , b(b) , c(c) {}
    dLine(Vector A , Vector B): a(A.y - B.y) , b(B.x - A.x) , c(A.x*(B.y - A.y) + A.y*(A.x - B.x)) {}
    dLine(dVector A , dVector B): a(A.y - B.y) , b(B.x - A.x) , c(A.x*(B.y - A.y) + A.y*(A.x - B.x)) {}
};

dVector Cross(dLine L , dLine T){
    return dVector((T.c*L.b - L.c*T.b) / (L.a*T.b - T.a*L.b) , (T.c*L.a - L.c*T.a) / -(L.a*T.b - T.a*L.b));
}

bool OnSegm(Vector A , Vector B , Vector C){
    return (min(A.x , B.x) - eps <= C.x && max(A.x , B.x) + eps >= C.x && min(A.y , B.y) - eps <= C.y && max(A.y , B.y) + eps >= C.y);
}

bool OnSegm(dVector A , dVector B , dVector C){
    return (min(A.x , B.x) - eps <= C.x && max(A.x , B.x) + eps >= C.x && min(A.y , B.y) - eps <= C.y && max(A.y , B.y) + eps >= C.y);
}

bool solve(){

    Vector A1 , A2 , B1 , B2 , V;
    cin >> A1 >> A2 >> B1 >> B2 >> V;

    Vector P = A2 + V;

    if (abs(CrossProduct(A2 - A1 , V)) == 0){
        //cout << "hereer";
        Line L(A1 , A2);
        Line T(B1 , B2);

        if (abs(L.a*B1.x + L.b*B1.y + L.c) != 0 && abs(L.a*T.b - L.b*T.a) == 0) return false;

        //cout << "here";

        dVector C;
        if (L.a*T.b - L.b*T.a != 0) C = Cross(dLine(L.a , L.b , L.c) , dLine(T.a , T.b , T.c));
        else C = dVector(B1.x , B1.y);

        if (!OnSegm(B1 , B2 , C)) return false;

        P = A1 + V;

        //cout << DotProduct(Vector(0 , 0) , Vector (123 , 321)) << '\n';

        if (Dir(DotProduct(dVector(A2 - A1) , C - dVector(A1))) == Dir(DotProduct(dVector(A2 - A1) , dVector(P - A1)))) return true;
        else return false;
    }

    Vector P1 = A1 + V , P2 = A2 + V;

    //cout << CrossProduct(A2 - A1 , B1 - A1) << '\n';

    if (abs(CrossProduct(A2 - A1 , B1 - A1)) != 0 && Dir(CrossProduct(A2 - A1 , B1 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1))){

        //cout << CrossProduct(P1 - A1 , B1 - A1) << ' ' << CrossProduct(P2 - A2 , B1 - A2) << '\n';
        if (abs(CrossProduct(P1 - A1 , B1 - A1)) == 0 || abs(CrossProduct(P2 - A2 , B1 - A2)) == 0 ||
            Dir(CrossProduct(P1 - A1 , B1 - A1)) != Dir(CrossProduct(P2 - A2 , B1 - A2))) return true;
    }

    if (abs(CrossProduct(A2 - A1 , B2 - A1)) != 0 && Dir(CrossProduct(A2 - A1 , B2 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1))){

        if (abs(CrossProduct(P1 - A1 , B2 - A1)) == 0 || abs(CrossProduct(P2 - A2 , B2 - A2)) == 0 ||
            Dir(CrossProduct(P1 - A1 , B2 - A1)) != Dir(CrossProduct(P2 - A2 , B2 - A2))) return true;
    }


    if ((abs(CrossProduct(A2 - A1 , B2 - A1)) == 0 || Dir(CrossProduct(A2 - A1 , B2 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1))) &&
        (abs(CrossProduct(A2 - A1 , B1 - A1)) == 0 || Dir(CrossProduct(A2 - A1 , B1 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1)))) {

        if (Dir(CrossProduct(P1 - A1 , B1 - A1)) != Dir(CrossProduct(P1 - A1 , B2 - A1))) return true;
    }

    return false;
}

int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);


    int n; cin >> n;

    for (int i = 0; i < n; i ++){
        if (solve()){
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }

}
/*



1
0 0 1 1 1 2 2 3 0 1

yes

5
0 0 1 0 -1 1 1 1 0 1
0 0 2 0 1 1 1 2 0 1
0 0 2 0 1 1 1 2 1 0
0 0 2 0 0 -1 3 0 0 1
0 0 2 0 0 -1 3 0 1 0

yes
yes
no
no
yes

1
0 0 1 1 2 2 3 3 1 -1

no

1
1 1 2 1 3 1 3 2 1 1

yes

1
0 0 4 0 -1 0 5 1 -4 0

yes

1
0 0 0 1 3 0 3 5 2 0

yes

1
0 0 1 0 2 1 2 2 1 0

no

1
0 0 1 0 2 0 3 0 1 0

yes

1
0 0 1 0 2 0 3 0 -1 0

no

2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1

yes
no


*/
