#include<bits/stdc++.h>
#define int long long

using namespace std;

struct Point{
    int x, y;
    Point(int x1 = 0, int y1 = 0){
        x = x1;
        y = y1;
    }

    void input(){
        cin >> x >> y;
    }

    void outout(){
        cout << x << ' ' << y << endl;
    }
};

struct Vector{
    int x, y;
    Vector(Point a = Point(), Point b = Point()){
        x = b.x - a.x;
        y = b.y - a.y;
    }

    void input(){
        cin >> x >> y;
    }

    int cross_product(Vector v){
        return x * v.y - y * v.x;
    }

    int dot_product(Vector v){
        return x * v.x + y * v.y;
    }
};

bool check_corner(Point a, Point b, Point c, Vector v){
    Vector v1(a, c), v2(a, b);
    int f1 = v1.cross_product(v), s1 = v1.cross_product(v2), f2 = v1.dot_product(v), s2 = v1.dot_product(v2);
    if(f1 == 0){
        if(f2 > 0)
            f1 = 0;
        else
            return 0;
    }
    else
        f1 /= abs(f1);
    if(s1 == 0){
        if(s2 > 0)
            s1 = 0;
        else
            return 0;
    }
    else
        s1 /= abs(s1);
    return f1 * s1 <= 0;
}

bool check_part(Point a, Point b, Point c, Vector v){
    bool f = check_corner(a, b, c, v), s = check_corner(b, a, c, v);
    //cout << f << " <> " << s << endl;
    return f && s;
}

bool check(Point a, Point b, Point c, Point d, Vector v) {
    return check_part(a, b, c, v) || check_part(a, b, d, v);
}

void solve(){
    Point a, b, c, d;
    Vector v;
    a.input();
    b.input();
    c.input();
    d.input();
    v.input();
    Vector v1 = v;
    v1.x *= -1;
    v1.y *= -1;
    Vector f1(a, b), f2(c, d), f3(b, c);
    if (f1.cross_product(f2) == 0 && f1.cross_product(f3) == 0) {
        f3.x /= abs(f3.x);
        f3.y /= abs(f3.y);
        Vector tmp = v;
        tmp.x /= abs(tmp.x);
        tmp.y /= abs(tmp.y);
        if(f3.x * tmp.x > 0){
            cout << "Yes\n";
            return;
        }
    }
    bool f = check(a, b, c, d, v), s =check(c, d, a, b, v1);
    //cout << f << ' ' << s << endl;
    if(f || s)
        cout << "Yes\n";
    else
        cout << "No\n";
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t = 1;
    cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}
/*
1
0 0 1 1 2 2 3 3 1 1
*/
