

#include <iostream>
#include <algorithm>
#include <vector>
#include <set>
#include <map>
#include <cmath>

#define int long long
#define pb push_back
const int INF = 2e9;

using namespace std;

int getLen(int n){
	if (!n) return 1;
	int res = 0;
	while (n) {
		res++;
		n /= 10;
	}
	return res;
}

int get(int x) {
	int l = 0;
	int r = INF;
	int c = getLen(x);
	while (r - l > 1) {
		int m = (r + l) >> 1;
		if (getLen(x + m * 9) > c) r = m;
		else l = m;
	}
	return r;
}

int del(int x) {
	int res = x % ((int) pow(10, getLen(x) - 1));
	return res;
}


void solve() {
	int a, b;
	cin >> a >> b;
	vector<pair<char, int>> res;
	while (getLen(a) > 1) {
		int x = get(a);
		a += x * 9;
		int y = get(del(a));
		a += y * 9;
		res.pb({'+', x + y});
		res.pb({ '-', 2 });
		a -= pow(10, getLen(a) - 1);
		a -= pow(10, getLen(a) - 1);
	}
	while (a % 9 != b % 9) {
		int x = get(a);
		a += x * 9;
		res.pb({ '+', x });
		res.pb({ '-', 1 });
		a -= pow(10, getLen(a) - 1);
	}
	if (a != b) {
		int q = (b - a) / 9;
		res.pb({ '+', q });
	}
	cout << "Stable\n";
	cout << res.size() << '\n';
	for (auto& p : res) {
		cout << p.first << " " << p.second << '\n';
	}
}

signed main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	solve();
}
