#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

#define int long long
#define ld long double

typedef long long ll;

struct Point {
	int x, y;

	Point() {}
	Point(int _x, int _y) : x(_x), y(_y) {}
};

struct Vector {
	int x, y;

	Vector() {}
	Vector(int _x, int _y) : x(_x), y(_y) {}
	Vector(Point A, Point B) : x(B.x - A.x), y(B.y - A.y) {}
};

Vector operator*(int k, Vector a) {
	return Vector(a.x * k, a.y * k);
}

int dot_product(Vector a, Vector b) { return a.x * b.x + a.y * b.y; }
int cross_product(Vector a, Vector b) { return a.x * b.y - a.y * b.x; }

ld atan2(Vector a, Vector b) { return atan2(cross_product(a, b), dot_product(a, b)); }

bool ok(Point A, Point B, Point C, Vector a) {
	return abs(abs(atan2(Vector(C, A), a)) + abs(atan2(a, Vector(C, B))) - abs(atan2(Vector(C, A), Vector(C, B)))) < 1e-9;	
}

signed main() {
	int n; cin >> n;
	while (n--) {
		int ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
		cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
		Vector a = { vx, vy };
		Point A = { ax1, ay1 }, B = { ax2, ay2 }, C = { bx1, by1 }, D = { bx2, by2 };
		bool fl1 = ok(C, D, A, a);
		bool fl2 = ok(C, D, B, a);
		bool fl3 = ok(A, B, C, -1 * a);
		bool fl4 = ok(A, B, D, -1 * a);
		//cout << fl1 << " " << fl2 << " " << fl3 << " " << fl4 << endl;
		if (fl1 || fl2 || fl3 || fl4)
			cout << "Yes\n";
		else
			cout << "No\n";
	}
	return 0;
}
