#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

int relax_pref(int x, int y) {
	return y == -1 ? x : y;
}

int relax_suf(int x, int y) {
	return y == -1 ? x : y;
}

signed main() {
	int n, m;
	cin >> n >> m;
	vector<pair<int, int>> ans(m + 2, { -1, -1 });
	ans[0] = { 0, 0 };
	ans[m + 1] = { n - 1, n - 1 };
	vector<pair<int, int>> arr = { {1, m + 1} };
	vector<char> ok(m + 2);
	ok[0] = ok[m + 1] = true;
	int cnt = 0;
	while (!arr.empty()) {
		vector<int> pref(m + 2);
		pref[0] = ans[0].second;
		for (int i = 1; i < m + 2; ++i) {
			pref[i] = relax_pref(pref[i - 1], ans[i].second);
		}
		vector<int> suf(m + 2);
		suf[m + 1] = ans[m + 1].first;
		for (int i = m; i >= 0; --i) {
			suf[i] = relax_suf(suf[i + 1], ans[i].first);
		}
		vector<pair<int, int>> cur(ans);
		for (auto s : arr) {
			int l = s.first;
			int r = s.second;
			int mid = l + r >> 1;
			cur[mid] = { pref[mid], suf[mid] };
			ok[mid] = true;
		}
		int cx = 0;
		if (cnt == 10) {
			cout << "! ";
			for (int i = 1; i < m + 1; ++i) {
				if (cur[i].first != -1) {
					for (int j = cur[i].first; j < cur[i].second; ++j) {
						cout << 'D';
					}
				}
				if (i != m) {
					cout << 'R';
				}
			}
			cout << endl;
			return 0;
		}
		++cnt;
		cout << "? ";
		for (int i = 1; i < m + 1; ++i) {
			if (cur[i].first != -1) {
				for (int j = cur[i].first; j < cur[i].second; ++j) {
					cout << 'D';
				}
			}
			if (i != m) {
				cout << 'R';
			}
		}
		cout << endl;
		ans = vector<pair<int, int>>(m + 2, { -1, -1 });
		ans[0] = { 0, 0 };
		ans[m + 1] = { n - 1, n - 1 };
		int t;
		cin >> t;
		for (int i = 0; i < t; ++i) {
			int x, y;
			cin >> x >> y;
			--x;
			if (ok[y]) {
				if (ans[y].first == -1) {
					ans[y] = { x, x };
				}
				else {
					ans[y] = { min(ans[y].first, x), max(ans[y].second, x) };
				}
			}
		}
		arr.clear();
		bool flag = false;
		for (int i = 0; i < m + 2; ++i) {
			if (!ok[i]) {
				if (flag) {
					++arr.back().second;
				}
				else {
					arr.push_back({ i, i + 1 });
					flag = true;
				}
			}
			else {
				flag = false;
			}
		}
	}
	cout << "! ";
	for (int i = 1; i < m + 1; ++i) {
		if (ans[i].first != -1) {
			for (int j = ans[i].first; j < ans[i].second; ++j) {
				cout << 'D';
			}
		}
		if (i != m) {
			cout << 'R';
		}
	}
	cout << endl;
	return 0;
}
