#include <iostream>
#include <cstdio>
#include <algorithm>
#include <vector>
#define int long long

using namespace std;

struct point {
	double x, y;
	point() {

	}
	point(double _x, double _y) {
		x = _x; y = _y;
	}
};

struct vect {
	double x, y;
	vect() {

	}
	vect(double _x, double _y) {
		x = _x; y = _y;
	}
};

struct line {
	double a, b, c;

	line(vect v, point p) {
		a = -v.y;
		b = v.x;
		c = -(a * p.x + b * p.y);
	}
};

vect operator-(point a, point b) {
	return vect(b.x - a.x, b.y - a.y);
}

double operator* (line a, line b) {
	return a.a * b.b - a.b * b.a;
}

bool inter(line _1, line _2, point& ans) {
	if ((_1 * _2) == 0)
		return 0;

	double x = (_2.c * _1.b - _1.c * _2.b) / (_1.a * _2.b - _2.a * _1.b),
		y = (_2.c * _1.a - _1.c * _2.a) / (_2.a * _1.b - _1.a * _2.b);
	ans.x = x; ans.y = y;
	return 1;
}

bool equal(double a, double b) {
	if (a == 0) return 1;
	if (a == 0 && b == 0)
		return 1;
	else if (a < 0 && b < 0)
		return 1;
	else if (a > 0 && b > 0)
		return 1;
	else
		return 0;
}

bool is_lie(point a, vect b, point c, vect d, double l, double r) {
	if (d.x == 0 && d.y == 0) {
		line fir(b, a);
		if (fir.a * c.x + fir.b * c.y + fir.c == 0 && equal(c.x - a.x, b.x) && equal(c.y - a.y, b.y))
			return 1;
		else
			return 0;
	}
	else {
		if (l > r)
			swap(l, r);
		line fir(b, a), sec(d, c);
		point ans;
		if (inter(fir, sec, ans)) {
			bool res = 1;
			if (!(l <= ans.x && ans.x <= r) || !equal(ans.x - a.x, b.x) || !equal(ans.y - a.y, b.y))
				res = 0;
			return res;
		}
		return 0;
	}
}

vect operator -(vect v) {
	v.x *= -1;
	v.y *= -1;
	return v;
}

signed main() {
#ifdef LOCAL_DEBUG
	freopen("input.txt", "r", stdin);
#endif 
	ios::sync_with_stdio(0);
	cin.tie(0);

	int q; cin >> q;
	while (q--) {
		point a, b, c, d;
		vect fir, sec, v;
		cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;
		fir = b - a, sec = d - c;
		bool ans = 0;
		ans |= is_lie(a, v, c, sec, c.x, d.x);
		ans |= is_lie(b, v, c, sec, c.x, d.x);
		ans |= is_lie(c, -v, a, fir, a.x, b.x);
		ans |= is_lie(d, -v, a, fir, a.x, b.x);
		cout << (ans ? "Yes" : "No") << endl;
	}
	return 0;
}