#include <bits/stdc++.h>

using namespace std;
template<class T1, class T2> inline bool chkmax(T1 &x, const T2 &y) {if (x > y) {x = y; return true;} return false;}
template<class T1, class T2> inline bool chkmin(T1 &x, const T2 &y) {if (x < y) {x = y; return true;} return false;}
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define pb push_back
#define mp make_pair
#define y1 y12282
#define y2 y2227
using ll = long long;
using ld = long double;
const ld eps = 1e-9;


struct Point{
    ld x, y;
    Point(){}
    Point(ld _x, ld _y): x(_x), y(_y){}
};

Point operator +(const Point &a, const Point &b) {
    return Point(a.x + b.x, a.y + b.y);
}

Point operator -(const Point &a, const Point &b) {
    return Point(a.x - b.x, a.y - b.y);
}


ld operator ^(const Point &a, const Point &b) {
    return a.x * b.x + a.y * b.y;
}


ld operator *(const Point &a, const Point &b) {
    return a.x * b.y - a.y * b.x;
}

struct Line {
    ld a, b, c;
    Line(){}
    Line(ld _a, ld _b, ld _c) {
        a = _a;
        b = _b;
        c = _c;
        ld d = sqrt(a * a + b * b);
        a /= d;
        b /= d;
        if (c < 0) {
            a *= -1;
            b *= -1;
            c *= -1;
        }
    }
    Line(Point s, Point f) {
        a = f.y - s.y;
        b = s.x - f.x;
        ld d = sqrt(a * a + b * b);
        a /= d;
        b /= d;
        c = -(a * s.x + b * s.y);
        if (c < 0) {
            a *= -1;
            b *= -1;
            c *= -1;
        }
    }
    ld get(const Point &p) {
        return a * p.x + b * p.y + c;
    }
};


Point getPoint(Line a) {
    return Point(a.a, a.b);
}


Point cross(const Line &a, const Line &b) {
    ld det = a.a * b.b - b.a * a.b;
    return Point((-a.c * b.b + b.c * a.b) / det, (-a.c * b.a + b.c * a.a) / (-det));
}


bool inside(Point a, Point b, Point c) {
    return ((c - a) ^ (c - b)) <= eps;
}


bool ok(Point a, Point b) {
    return (a ^ b) >= -eps;
}



void solve() {
    int ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
    cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
    Point g(vx, vy);
    Point a(ax1, ay1);
    Point b(ax2, ay2);
    Point c(bx1, by1);
    Point d(bx2, by2);
    Point a1 = a + g;
    Point b1 = b + g;
    Point e = d - c;
    if (abs(g * e) <= eps) {
        Line k(c, d);
        Line k2(a, b);
        if (abs((d - c) * (b - a)) <= eps) {
            if (abs((c - a) * (b - a)) <= eps) {
                if (ok(g, c - a) || ok(g, d - a)) {
                    cout << "Yes\n";
                } else {
                    cout << "No\n";
                }
                return;
            }
            cout << "No\n";
            return;
        }
        Point f = cross(k, k2);
        if (inside(a, b, f) && (ok(g, d - f) || ok(g, c - f))) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    } else {
        Line k(a, a1);
        Line k1(b, b1);
        Line k2(c, d);
        Point f = cross(k, k2);
        Point f1 = cross(k1, k2);
        if ((inside(f, f1, c) && ok(g, c - a)) || (inside(f, f1, d) && ok(g, d - a)) || (inside(c, d, f) && ok(g, f - a)) || (inside(c, d, f1) && ok(g, f1 - a))) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }

    }
}


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int it;
    cin >> it;
    for (int its = 0; its < it; its++) {
        solve();
    }
}


