
#include <bits/stdc++.h>
#define int long double
using namespace std;

struct point {
    int x, y;
};

struct vec {
    int x, y;
};

vec to_vec(point a, point b) {
    return {b.x - a.x, b.y - a.y};
}

int operator*(vec a, vec b) {
    return a.x * b.y - a.y * b.x;
}

bool on_one_side(point l, point r, point a, point b) {
    vec t = to_vec(l, r);
    vec x = to_vec(l, a);
    vec y = to_vec(l, b);

    if ((t * y <= 0 && t * x >= 0) || (t * y >= 0 && t * x <= 0))
        return true;
    else
        return false;
}

bool operator<(point a, point b) {
    if (a.x != b.x)
        return a.x < b.x;
    return a.y < b.y;
}

bool point_on_segm(point a, point b, point c) {
    return (min(a.x, b.x) <= c.x && c.x <= max(a.x, b.x) && min(a.y, b.y) <= c.y && c.y <= max(a.y, b.y));
}

bool cross(point a_1, point a_2, point b_1, point b_2) {
    vec a = to_vec(a_1, a_2);
    vec b = to_vec(b_1, b_2);

    if (a * b == 0) {
        return (point_on_segm(a_1, a_2, b_1) || point_on_segm(a_1, a_2, b_2) || point_on_segm(b_1, b_2, a_1) || point_on_segm(b_1, b_2, a_2));
    }
    else {
        if (on_one_side(a_1, a_2, b_1, b_2) && on_one_side(b_1, b_2, a_1, a_2))
            return true;
        else
            return false;
    }
}

bool check(point a, point b, point c, point d, point e) {
    vec fir = to_vec(a, b);
    vec sec = to_vec(a, c);

    int pl = fir * sec;
    int se = 0;
    pl = abs(pl);

    vector <point> ans = {a, c, d, b, a};

    for (long long i = 0; i + 1 < ans.size(); ++i) {
        fir = to_vec(e, ans[i]);
        sec = to_vec(e, ans[i + 1]);
        se += abs(fir * sec);
    }

    return (pl * 2 == se);
}

void query() {
    point a, b, c, d;
    vec v;
    cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;

    point _a = {a.x + (int)1e7 * v.x, a.y + (int)1e7 * v.y};
    point _b = {b.x + (int)1e7 * v.x, b.y + (int)1e7 * v.y};

    if (check(a, b, _a, _b, c))
        cout << "YES" << endl;
    else if (check(a, b, _a, _b, d))
        cout << "YES" << endl;
    else
        if (!cross(a, _a, c, d))
		cout << "NO" << endl;
	else 
		cout << "YES" << endl;
}

int32_t main() {
    int t;
    cin >> t;
    for (long long i = 0; i < t; ++i) {
        query();
    }

}


