#include <bits/stdc++.h>

#define int long long
//#define endl '\n'
#define mp make_pair
#define pb emplace_back
#define all(C) (C).begin(), (C).end()
#define rall(C) (C).rbegin(), (C).rend()
#define dbg(x) cerr << #x << " : " << x << endl

using namespace std;

using ll = long long;
using ld = long double;
using pii = pair <int, int>;
using pll = pair <ll, ll>;
using pld = pair <ld, ld>;

template <class T>
istream& operator>> (istream &in, vector <T> &a) {for (auto &i : a) in >> i; return in;}
template <class T>
ostream& operator<< (ostream &out, vector <T> a) {for (auto i : a) out << i << " "; return out;}
template <class T, class U>
istream& operator>> (istream &in, pair <T, U> &a) {in >> a.first >> a.second; return in;}
template <class T, class U>
ostream& operator<< (ostream &out, pair <T, U> a) {out << a.first << " " << a.second; return out;}

const double EPS = 0.000000001;

class Point {
public:
    double x, y;
    bool ex;
    Point(double x, double y): x(x), y(y), ex(true) {}
    Point(): ex(false) {}
    operator bool() {
        return ex;
    }
};

class Vector {
public:
    double x, y;
    Vector(double x, double y): x(x), y(y) {}
    Vector(Point a, Point b) {
        x = b.x - a.x;
        y = b.y - a.y;
    }
    double operator* (Vector v) {
        return x * v.x + y * v.y;
    }
    double operator% (Vector v) {
        return x * v.y - y * v.x;
    }
};

Point operator+ (Point p, Vector v) {
    return Point(p.x + v.x, p.y + v.y);
}

class Line {
public:
    double a, b, c;
    Line(Point p1, Point p2) {
        a = p1.y - p2.y;
        b = p2.x - p1.x;
        c = -a * p1.x - b * p1.y;
    }
    Line operator- () {
        Line l = *this;
        l.a = -l.a;
        l.b = -l.b;
        l.c = -l.c;
        return l;
    }
    double operator() (Point p) {
        return a * p.x + b * p.y + c;
    }
    Point operator& (Line l) {
        double a1 = a;
        double b1 = b;
        double c1 = c;
        double a2 = l.a;
        double b2 = l.b;
        double c2 = l.c;
        if(abs(b2 * a1 - b1 * a2) < EPS) {
            return Point();
        } else {
            double x = (c1 * b2 - c2 * b1) / (a2 * b1 - a1 * b2);
            double y = (c1 * a2 - c2 * a1) / (b2 * a1 - b1 * a2);
            return Point(x, y);
        }
    }
};

signed main() {
    int n;
    cin >> n;
    for(int i = 0; i < n; i++) {
        double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
        Point a1(ax1, ay1);
        Point a2(ax2, ay2);
        Point b1(bx1, by1);
        Point b2(bx2, by2);
        Line b(b1, b2);
        Vector v(vx, vy);
        Line l1(a1, a1 + v);
        Line l2(a2, a2 + v);
        if(abs(Vector(a1, a2) % v) < EPS) {
            Line l(a1, a2);
            Line b(b1, b2);
            Point p = l & b;
            if(p && min(b1.x, b2.x) - EPS < p.x && p.x < max(b1.x, b2.x) + EPS && min(b1.y, b2.y) - EPS < p.y && p.y < max(b1.y, b2.y) + EPS && (Vector(a1, p) * v >= -EPS || Vector(a2, p) * v >= -EPS)) {
                cout << "Yes\n";
            } else {
                cout << "No\n";
            }
        } else {
            if(l1(a2) > 0) {
                l1 = -l1;
            }
            if(l2(a1) > 0) {
                l2 = -l2;
            }
            Line l(a1, a2);
            if(l(a1 + v) > 0) {
                l = -l;
            }
            Point p1 = b & l1;
            if(p1 && min(b1.x, b2.x) - EPS < p1.x && p1.x < max(b1.x, b2.x) + EPS && min(b1.y, b2.y) - EPS < p1.y && p1.y < max(b1.y, b2.y) + EPS && Vector(a1, p1) * v >= -EPS) {
                cout << "Yes\n";
                continue;
            }
            p1 = b & l2;
            swap(l1, l2);
            swap(a1, a2);
            if(p1 && min(b1.x, b2.x) - EPS < p1.x && p1.x < max(b1.x, b2.x) + EPS && min(b1.y, b2.y) - EPS < p1.y && p1.y < max(b1.y, b2.y) + EPS && Vector(a1, p1) * v >= -EPS) {
                cout << "Yes\n";
                continue;
            }
            if(l1(b1) < 0 && l2(b1) < 0 && l(b1) < 0) {
                cout << "Yes 2\n";
                continue;
            }
            swap(b1, b2);
            if(l1(b1) < 0 && l2(b1) < 0 && l(b1) < 0) {
                cout << "Yes\n";
                continue;
            }
            cout << "No\n";
        }
    }

    return 0;
}

