#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()
#define x first
#define y second

const int N = 1005;
int c[N][N];
vector<pair<int, int>> way;

string s;

void Move(int x1, int y1, int x2, int y2) {
	way.emplace_back(x1, y1);
	if (x1 == x2 && y1 == y2) return;
	if (y1 < y2 && c[x1][y1 + 1] && !(x1 < x2 && c[x1 + 1][y1] == 1)) {
		s += "R";
		Move(x1, y1 + 1, x2, y2);
	}
	else {
		s += "D";
		Move(x1 + 1, y1, x2, y2);
	}
}

int hi[N], lo[N];

int main() {
	int n, m;
	cin >> n >> m;
	for (int i = 1; i <= n; i++) {
		for (int j = 1; j <= m; j++) {
			c[i][j] = 2;
		}
	}
	c[1][1] = 1;
	c[n][m] = 1;
	vector<pair<int, int>> pt = { {1, 1}, {n, m} };
	for (int et = 0; et < 10; et++) {
		fill(hi, hi + N, -1);
		fill(lo, lo + N, N);
		for (int i = 0; i < N; i++) {
			for (int j = 0; j < N; j++) {
				if (c[i][j] == 1) {
					lo[j] = min(lo[j], i);
					hi[j] = max(hi[j], i);
				}
			}
		}
		vector<pair<int, int>> pp;
		int la = 1;
		for (int i = 1; i <= m; i++) {
			swap(lo[i], hi[i]);
		}
		for (int i = 2; i <= m; i++) {
			if (lo[i] >= 0) {
				pp.emplace_back(lo[la], la);
				if (i - 1 != la) {
					pp.emplace_back(lo[la], (la + i) / 2);
					pp.emplace_back(hi[i], (la + i) / 2);
				}
				pp.emplace_back(hi[i], i);
				la = i;
			}
		}
		pt = pp;
		s = "";
		way.clear();
		for (int j = 0; j + 1 < size(pt); j++) {
			Move(pt[j].x, pt[j].y, pt[j + 1].x, pt[j + 1].y);
		}
		cout << "? " << s << endl;
		int t;
		cin >> t;
		for (auto v : way)
			c[v.x][v.y] = 0;
		while (t--) {
			int x, y;
			cin >> x >> y;
			c[x][y] = 1;
		}
	}
	s = "";
	Move(1, 1, n, m);
	cout << "! " << s << endl;
}

/*
#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()

const ll N = 500;

struct Poll {
		ll x, y;
};

struct Vector {
		ll x, y;
};

struct Line {
		ll a, b, c;
		Line() {}
		Line(Poll _a, Poll _b) {
				a = _b.y - _a.y;
				b = _a.x - _b.x;
				c = -(a * _a.x + b * _a.y);
		}
		ll get(Poll kek) {
				if (kek.x * a + kek.y * b + c == 0) {
						return 0;
				} else if (kek.x * a + kek.y * b + c > 0) {
						return 1;
				} else {
						return -1;
				}
		}
};

ll scalar(Vector a, Vector b) {
		return a.x * b.x + a.y * b.y;
}


double intersect(Line a, Line b) {
		double y = (-(a.c * a.a - b.c * a.a)) / (b.a * a.b - a.a * b.b);
		return y;
}

bool llersect(Poll a, Vector v, Poll b, Poll c) {
		Poll to = a;
		to.x += v.x;
		to.y += v.y;
		Line l = Line(a, to);
		Line l1 = Line(b, c);
		if (l.get(b) == 0 || l.get(c) == 0 || l.get(b) != l.get(c)) {
				if (intersect(l, l1) >= a.y) {
						return 1;
				}
		}
		return 0;
}

signed main() {
		freopen("input.txt", "r", stdin);
		freopen("output.txt", "w", stdout);
		ios::sync_with_stdio(false);
		cin.tie(0);
		ll t;
				cin >> t;
		while (t--) {
				Poll s, t;
				Poll s1, t1;
				Vector v;
				cin >> s.x >> s.y >> t.x >> t.y;
				cin >> s1.x >> s1.y >> t1.x >> t1.y;
				cin >> v.x >> v.y;
				Vector v1 = {-v.x, -v.y};
				if (llersect(s, v, s1, t1)) {
						cout << "Yes\n";
				} else if (llersect(t, v, s1, t1)) {
						cout << "Yes\n";
				} else if (llersect(s1, v1, s, t)) {
						cout << "Yes\n";
				} else if (llersect(t1, v1, s, t)) {
						cout << "Yes\n";
				} else {
						cout << "No\n";
				}
		}
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/


