#define _CRT_SECURE_NO_WARNINGS
#include<iostream>
#include<vector>
#include<cstdlib>
#include<cmath>
#include<algorithm>
#include<cstring>

using namespace std;
#define int long long
#define double long double 
struct pt {
	double x, y;
	double cross(const pt& oth) const {
		return x * oth.y - y * oth.x;
	}
	double dot(const pt& oth) const {
		return x * oth.x + y * oth.y;
	}
	pt sub(const pt& oth) const {
		return { x - oth.x, y - oth.y };
	}
};

bool intersect(pt a, pt b, pt c, pt d) {
	pt x = b.sub(a);
	pt y = c.sub(a);
	pt z = d.sub(a);
	if ((x.cross(z) * x.cross(y) <= 0)) {
		if (x.cross(z) == 0 && x.dot(z) < 0 && x.cross(y) != 0) return 0;
		if (x.cross(y) == 0 && x.dot(y) < 0 && x.cross(z) != 0) return 0;
		if (x.cross(z) == 0 && x.dot(z) < 0 && x.cross(y) == 0 && x.dot(y) < 0) return 0;
		x = d.sub(c);
		y = a.sub(c);
		z = b.sub(c);
		if ((x.cross(z) * x.cross(y) <= 0)) {
			if (x.cross(z) == 0 && x.dot(z) < 0 && x.cross(y) != 0) return 0;
			if (x.cross(y) == 0 && x.dot(y) < 0 && x.cross(z) != 0) return 0;
			if (x.cross(z) == 0 && x.dot(z) < 0 && x.cross(y) == 0 && x.dot(y) < 0) return 0;
			return 1;
		}
		return 0;
	}
	return 0;
}

bool check(pt a, pt l, pt r, pt v) {
	pt kek = { a.x + v.x * 3e6, a.y + v.y * 3e6 };
	return intersect(a, kek, l, r);
}

signed main() {
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int t;
	cin >> t;
	for (int i = 0; i < t; i++) {
		pt al, ar, bl, br, v;
		cin >> al.x >> al.y >> ar.x >> ar.y >> bl.x >> bl.y >> br.x >> br.y >> v.x >> v.y;
		if (check(al, bl, br, v) || check(ar, bl, br, v)) cout << "Yes";
		else {
			pt vv = { -v.x, -v.y };
			if (check(bl, al, ar, vv) || check(br, al, ar, vv)) cout << "Yes";
			else cout << "No";
		}
		cout << '\n';
	}
}