#pragma GCC optimize("O3,unroll-loops,inline,fast-math")
#include <bits/stdc++.h>
using namespace std;

using ll = long long;
using ld = long double;
#define all(x) (x).begin(),(x).end()
#define int ll
struct point{
    ll x, y;
    point() {}
    point(ll a, ll b) {
        x = a, y = b;
    }
};

point operator-(const point & a, const point & b) {
    return point(a.x - b.x, a.y - b.y);
}

point operator+(const point & a, const point & b) {
    return point(a.x + b.x, a.y + b.y);
}

ll operator^(const point & a, const point & b) {
    return a.x * b.y - a.y * b.x;
}

#define vec point

bool check(point a1, point a2, vec v) {
    vec x1 = a2 - a1;
    return (v ^ x1) < 0;
}

ll sign(ll x) {
    if (x == 0) return 0;
    if (x > 0) return 1;
    return -1;
}

bool checkCross(int a, int b, int c, int d) {
    if (a > b) swap(a, b);
    if (c > d) swap(c, d);
    int aa = max(a, c);
    int bb = min(b, d);
    return (aa <= bb);
}

bool cross(point a, point b, point c, point d) {
    if (!checkCross(a.x, b.x, c.x, d.x)) {
        return false;
    }
    if (!checkCross(a.y, b.y, c.y, d.y)) {
        return false;
    }
    vec v1 = b - a, v2 = c - a, v3 = d - a;
    if (sign(v1 ^ v2) * sign(v1 ^ v3) > 0) return false;
    v1 = c - d, v2 = b - d, v3 = a - d;
    if (sign(v1 ^ v2) * sign(v1 ^ v3) > 0) return false;
    return true;
}

ld dist(vec v) {
    return sqrtl(v.x * v.x + v.y * v.y);
}

vec get(vec v) {
    ll need = 1e8;
    ll d = dist(v);
    need /= d;
    v.x *= need;
    v.y *= need;
    return v;
}

bool check1(point a1, point a2, point b, vec v) {
    vec x1 = a2 - a1;
    vec x2 = b - a1;
    return (v ^ x2) < 0 && (x1 ^ x2) > 0;
}

bool check2(point a1, point a2, point b, vec v) {
    vec x1 = a1 - a2;
    vec x2 = b - a2;
    return (v ^ x2) > 0 && (x1 ^ x2) < 0;
}

void solve() {
    point a1, a2, b1, b2, v;
    cin >> a1.x >> a1.y >> a2.x >> a2.y >> b1.x >> b1.y >> b2.x >> b2.y >> v.x >> v.y;
    v = get(v);
   // cout << "v = " << v.x << " " << v.y << " " << dist(v) << endl;
    if (!check(a1, a2, v)) {
        swap(a1, a2);
    }
    bool ans = false;
    ans |= cross(a1, a1 + v, b1, b2);
  //  cout << cross(a1, a1 + v, b1, b2) << endl;
    ans |= cross(a2, a2 + v, b1, b2);
   // point x = a2 + v;
   // cout << x.x << " " << x.y << " " << a2.x << " " << a2.y << " " << b1.x << " " << b1.y << " " << b2.x << " " << b2.y << endl;

  //  cout << cross(a2, a2 + v, b1, b2) << endl;
    ans |= check1(a1, a2, b1, v) && check2(a1, a2, b1, v);
  //  cout <<( check1(a1, a2, b1, v) && check2(a1, a2, b1, v) )<< endl;
    ans |= check1(a1, a2, b2, v) && check2(a1, a2, b2, v);
  //
  //  cout <<( check1(a1, a2, b2, v) && check2(a1, a2, b2, v) )<< endl;
    if (!ans) {
        cout << "No" << '\n';
    }
    else {
        cout << "Yes" << '\n';
    }
}

signed main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    cout.precision(20), cout.setf(ios::fixed);
    int t;
    cin >> t;
    while (t--)
        solve();
    return 0;
}


/*
 2
 0 2 1 1 2 2 3 1 1 1
 0 2 1 1 2 2 3 1 -1 -1
 */