#pragma GCC optimize("O3,unroll-loops,inline,fast-math")
#include <bits/stdc++.h>
using namespace std;

using ll = long long;
using ld = long double;
#define all(x) (x).begin(),(x).end()

struct pt{
    int x, y;
    pt() {
    }
    pt(int a, int b) {
        x = a, y = b;
    }
};

bool operator<(const pt & a, const pt & b) {
    return tie(a.x, a.y) < tie(b.x, b.y);
}

bool operator==(const pt & a, const pt & b) {
    return tie(a.x, a.y) == tie(b.x, b.y);
}

string path;

void out_path(pt a, pt b) {
    int d = (b.x - a.x) / 2;
    for (int i = 0; i < d; i++)
        cout << "D", path += "D";
    for (int i = a.y; i < b.y; i++)
        cout << "R", path += "R";
    d = (b.x - a.x) - d;
    for (int i = 0; i < d; i++)
        cout << "D", path += "D";
}

pt get_next(pt x) {
    if (path[x.x + x.y] == 'D')
        return pt(x.x + 1, x.y);
    return pt(x.x, x.y + 1);
}

pt get_rev(pt x) {
    if (path[x.x + x.y] == 'R')
        return pt(x.x + 1, x.y);
    return pt(x.x, x.y + 1);
}

void query(vector<pt> & a) {
    int n = a.size();
    path = "";
    cout << "? ";
    for (int i = 0; i < n - 1; i++) {
        out_path(a[i], a[i + 1]);
    }
    cout << endl;
    int cnt;
    cin >> cnt;
    for (int i = 0; i < cnt; i++) {
        pt x;
        cin >> x.x >> x.y;
        x.x--;
        x.y--;
        a.push_back(x);
    }
    sort(all(a));
    a.resize(unique(all(a)) - a.begin());
    n = a.size();
    for (int i = 0; i < n - 1; i++) {
        if (a[i + 1] == get_next(a[i])) continue;
        a.push_back(get_rev(a[i]));
    }
    sort(all(a));
    a.resize(unique(all(a)) - a.begin());
}

void out_ans(vector<pt> & a) {
    cout << "! ";
    int n = a.size();
    for (int i = 0; i < n - 1; i++) {
        out_path(a[i], a[i + 1]);
    }
    cout << endl;
    exit(0);
}

int main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    cout.precision(20), cout.setf(ios::fixed);
    int n, m;
    cin >> n >> m;
    vector<pt> a;
    a.push_back({0, 0});
    a.push_back({n - 1, m - 1});
    int cnt = 0;
    while (a.size() < n + m - 1) {
        cnt++;
        assert(cnt <= 10);
        query(a);
    }
    out_ans(a);
    return 0;
}