#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <algorithm>
#include <string>
#include <string.h>
#include <math.h>
#include <vector>
#include <set>
#include <map>
#include <iomanip>

using namespace std;

typedef long long ll;
typedef long double db;
typedef pair <int, int> pii;

const int N = (int)1e5;

struct dot {
	ll x, y;

	dot(ll x = 0, ll y = 0) : x(x), y(y) {}

	dot(dot a, dot b) : x(b.x - a.x), y(b.y - a.y) {}
};

dot operator + (dot a, dot b) {
	return dot(a.x + b.x, a.y + b.y);
}

struct seg {
	dot f, s;

	seg(dot f = dot(), dot s = dot()) : f(f), s(s) {}
};

struct line {
	ll a, b, c;

	line(ll a = 0, ll b = 0, ll c = 0) : a(a), b(b), c(c) {}

	line(dot d, dot v) {
		a = v.y;
		b = -v.x;
		c = -a * d.x - b * d.y;
	}
};

int sign(dot d, line l) {
	ll val = l.a * d.x + l.b * d.y + l.c;
	if (val < 0) {
		val = -1;
	} else if (val > 0) {
		val = 1;
	}
	return val;
}

int n;
seg a, b;
dot v;

bool solve() {
	line l1(a.f, v);
	line l2(a.s, v);
	int sl1_1 = sign(b.f, l1);
	int sl1_2 = sign(b.s, l1);
	int sl2_1 = sign(b.f, l2);
	int sl2_2 = sign(b.s, l2);
	if (sl1_1 == sl1_2 && sl2_1 == sl2_2 && sl1_1 == sl2_1) {
		return false;
	}
	dot v1 = v + a.f;
	line lh(a.f, dot(a.f, a.s));
	int s_ch1 = sign(b.f, lh);
	int s_ch2 = sign(b.s, lh);
	int s_v1 = sign(v1, lh);
	if (s_v1 == s_ch1 || s_v1 == s_ch2) {
		return true;
	}
	return false;
}

signed main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a.f.x >> a.f.y >> a.s.x >> a.s.y >> b.f.x >> b.f.y >> b.s.x >> b.s.y >> v.x >> v.y;
		if (solve()) {
			cout << "Yes\n";
		} else {
			cout << "No\n";
		}
	}
	return 0;
}