#include <bits/stdc++.h>
//#define int long long
using namespace std;

typedef long long ll;

struct point {
    ll x, y;

    point() : x(0), y(0) {};
    point(point a, point b) : x(b.x - a.x), y(b.y - a.y) {};

    ll operator ^(const point &other) const {
        return (x * other.y - y * other.x);
    }
};

bool in_upper(point v) {
    return (v.y > 0 || (v.y == 0 && v.x > 0));
}

bool cmp(point v1, point v2) {
    if (in_upper(v1) != in_upper(v2)) {
        return in_upper(v1);
    }
    return ((v1 ^ v2) <= 0);
}

bool check(point a, point b, point v) {
    if (in_upper(a) && in_upper(b)) {
        return ((cmp(v, a) && cmp(b, v)) || (cmp(v, b) && cmp(a, v)));
    }
    if (in_upper(b)) {
        swap(a, b);
    }
    return (cmp(v, a) && cmp(b, v));
}

signed main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    int n;
    cin >> n;
    while (n > 0) {
        n--;
        point a, b, c, d, v;
        cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;
        if (check(point(a, c), point(a, d), v)) {
            cout << "Yes\n";
            continue;
        }
        if (check(point(b, c), point(b, d), v)) {
            cout << "Yes\n";
            continue;
        }
        v.x *= -1;
        v.y *= -1;
        if (check(point(c, a), point(c, b), v)) {
            cout << "Yes\n";
            continue;
        }
        if (check(point(d, a), point(d, b), v)) {
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
    }
    return 0;
}